import 'package:flutter/material.dart';

import 'package:custom_route_transitions_proof_of_concept/custom_route_transitions_proof_of_concept.dart';


void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Material App',
      initialRoute: 'page1',
      routes: {
        'page1': (_) => Page1(),
        'page2': (_) => Page2()
      },
    );
  }
}

class Page1 extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.blue,
      appBar: AppBar(
        title: Text('Page 1'),
        backgroundColor: Colors.transparent,
      ),
      body: Center(
        child: MaterialButton(
          child: const Text('Ir a Page 2'),
          color: Colors.white,
          onPressed: () {
            RouteTransitions(
              context: context, 
              child: Page2(),
              animation: AnimationType.fadeIn,
              duration: const Duration(seconds: 2),
            );
          },
        )
     ),
   );
  }
}

class Page2 extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.blueGrey,
      appBar: AppBar(
        title: const Text('Page 2'),
        backgroundColor: Colors.transparent,
      ),
      body: const Center(
        child: Text('Page2'),
     ),
   );
  }
}